cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jesse MacFadyen (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CB-6615) Plugman fails when try to add plugin with specific version dependencies
Date Fri, 23 Jan 2015 21:41:34 GMT

     [ https://issues.apache.org/jira/browse/CB-6615?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jesse MacFadyen resolved CB-6615.
---------------------------------
    Resolution: Fixed

Fixed with [~vladimir.kotikov] 's commit to cordova-lib

> Plugman fails when try to add plugin with specific version dependencies
> -----------------------------------------------------------------------
>
>                 Key: CB-6615
>                 URL: https://issues.apache.org/jira/browse/CB-6615
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, Plugman
>            Reporter: Vladimir Kotikov
>            Assignee: Jesse MacFadyen
>
> Repro steps:
> # Create new Cordova project
> # Add any plugin
> # Add following tag to plugin.xml
> {noformat}
> <dependency id="org.apache.cordova.file@1.0.0" />
> {noformat}
> # Add any platform.
> Expected: The project should download and install dependent plugin with version 1.0.0
> Actual: The build generates the following output and error:
> {noformat}
> Error 47 Expected fetched plugin to have ID "org.apache.cordova.file@1.0.0" but got "org.apache.cordova.file".

> {noformat}
> Related: CB-4809



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message